# Delete Webhook

Delete a webhook subscription. This action cannot be undone.

Endpoint: DELETE /webhooks/{uuid}
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `uuid` (string, required)
    Webhook UUID

## Response 204:

  - `204` (unknown)
    Webhook deleted successfully

## Response 401:

  - `401` (unknown)
    Unauthorized - Invalid or expired token

## Response 401 fields (application/json):

  - `statusCode` (integer)
    HTTP status code
    Example: 422

  - `errors` (array)

  - `errors.appName` (string)
    Application name
    Example: loadtracking-api

  - `errors.dateTime` (string)
    When the error occurred
    Example: 2024-05-24T19:50:18.053Z

  - `errors.message` (string)
    Human-readable error message
    Example: Invalid eventType. Must be one of: PdvRequestCompleted

  - `errors.keyword` (string)
    Error type keyword
    Example: enum

  - `errors.params` (object)
    Additional error parameters

  - `errors.params.field` (string)
    Example: eventType

  - `errors.params.allowedValues` (array)
    Example: ["PdvRequestCompleted"]

## Response 404:

  - `404` (unknown)
    Webhook not found

## Response 404 fields (application/json):

  - `statusCode` (integer)
    HTTP status code
    Example: 422

  - `errors` (array)

  - `errors.appName` (string)
    Application name
    Example: loadtracking-api

  - `errors.dateTime` (string)
    When the error occurred
    Example: 2024-05-24T19:50:18.053Z

  - `errors.message` (string)
    Human-readable error message
    Example: Invalid eventType. Must be one of: PdvRequestCompleted

  - `errors.keyword` (string)
    Error type keyword
    Example: enum

  - `errors.params` (object)
    Additional error parameters

  - `errors.params.field` (string)
    Example: eventType

  - `errors.params.allowedValues` (array)
    Example: ["PdvRequestCompleted"]

